> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Workspace Registration Status

> Returns the workspace's current Rocket.Chat Cloud registration status. 

Permission required: `manage-cloud`.

## OpenAPI

````json GET /api/v1/cloud.registrationStatus
{
  "openapi": "3.0.0",
  "info": {
    "version": "1.0.0",
    "title": "Settings"
  },
  "servers": [
    {
      "url": "https://apiexplorer.support.rocket.chat"
    }
  ],
  "tags": [
    {
      "name": "Settings"
    },
    {
      "name": "Cloud"
    },
    {
      "name": "DNS"
    },
    {
      "name": "E2E"
    },
    {
      "name": "Import"
    },
    {
      "name": "Bulk User Import"
    },
    {
      "name": "Instances"
    },
    {
      "name": "Federation"
    },
    {
      "name": "Moderation"
    },
    {
      "name": "Device Management"
    },
    {
      "name": "Password policy"
    },
    {
      "name": "Video Conference"
    },
    {
      "name": "Media Calls"
    }
  ],
  "paths": {
    "/api/v1/cloud.registrationStatus": {
      "get": {
        "summary": "Get Workspace Registration Status",
        "operationId": "get-api-v1-cloud.registrationStatus",
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "registrationStatus": {
                      "type": "object",
                      "properties": {
                        "workspaceRegistered": {
                          "type": "boolean",
                          "description": "Whether the workspace has an active Cloud Client ID and Secret configured."
                        },
                        "workspaceId": {
                          "type": "string",
                          "description": "The workspace's Rocket.Chat Cloud ID."
                        },
                        "uniqueId": {
                          "type": "string",
                          "description": "The workspace's unique installation ID."
                        },
                        "token": {
                          "type": "string"
                        },
                        "email": {
                          "type": "string",
                          "description": "The registered organization email on Rocket.Chat Cloud."
                        }
                      }
                    },
                    "success": {
                      "type": "boolean"
                    }
                  }
                },
                "examples": {
                  "Example": {
                    "value": {
                      "registrationStatus": {
                        "workspaceRegistered": "true",
                        "workspaceId": "abc123-workspace-id",
                        "uniqueId": "xyz789-unique-id",
                        "token": "",
                        "email": "admin@example.com"
                      },
                      "success": "true"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/authorizationError"
          },
          "403": {
            "$ref": "#/components/responses/forbiddenError"
          }
        },
        "description": "Returns the workspace's current Rocket.Chat Cloud registration status. \n\nPermission required: `manage-cloud`.",
        "tags": [
          "Cloud"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/X-User-Id"
          },
          {
            "$ref": "#/components/parameters/X-Auth-Token"
          }
        ]
      }
    }
  },
  "components": {
    "responses": {
      "authorizationError": {
        "description": "Unauthorized",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "status": {
                  "type": "string"
                },
                "message": {
                  "type": "string"
                }
              }
            },
            "examples": {
              "Authorization Error": {
                "value": {
                  "status": "error",
                  "message": "You must be logged in to do this."
                }
              }
            }
          }
        }
      },
      "forbiddenError": {
        "description": "Forbidden",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "success": {
                  "type": "boolean"
                },
                "error": {
                  "type": "string"
                }
              }
            },
            "examples": {
              "Permission Error": {
                "value": {
                  "success": "false",
                  "error": "User does not have the permissions required for this action [error-unauthorized]"
                }
              }
            }
          }
        }
      }
    },
    "parameters": {
      "X-User-Id": {
        "name": "X-User-Id",
        "in": "header",
        "required": "true",
        "schema": {
          "type": "string"
        },
        "example": "CkCPNctrgCDfmWLqC",
        "description": "The user ID."
      },
      "X-Auth-Token": {
        "name": "X-Auth-Token",
        "in": "header",
        "required": "true",
        "schema": {
          "type": "string"
        },
        "example": "1Dd4iN_ClKn5jl-xPC36snQ4s9Zd5GZnXCQuCNSKcVE",
        "description": "The authentication token."
      }
    }
  }
}
````

